library(car)
library(MASS)

# 1. feladat
# Diszkriminancia analzis
url ='http://www.biz.uiowa.edu/faculty/jledolter/DataMining/admission.csv'
input = read.csv(url)
attach(input)
model = lda(De ~ GPA + GMAT)
model
pred = data.frame(predict(model))
table(De, pred$class, dnn = c("original", "predicted"))
mean(De == pred$class)
pred2 = data.frame(predict(model, newdata = data.frame(GPA = 3.21, GMAT = 497)))
detach(input)

# 2. feladat
# Fkomponens-analzis
adat = read.csv2("car_sales.csv")
attach(adat)
cor(horsepow, price, method = "pearson")
model = princomp(adat[3:13], cor = TRUE)
summary(model)
loadings(model)
detach(adat)

# 3. feladat
# Klaszter-analzis
adat = read.table("vallalat.txt", header = TRUE)
adat_sc = scale(adat[2:4])
tavolsagmatrix = dist(adat_sc) 
model = hclust(tavolsagmatrix, method = "single")
plot(model)
rect.hclust(model, 2)
model$merge
model$height 

# 4. feladat
# Khi-ngyzet prba fggetlensgvizsglatra
input = data.frame(survey)
(gyak.tablazat = table(input$Smoke, input$Exer))
chisq.test(gyak.tablazat)
chisq.test(gyak.tablazat)$expected

# 5. feladat
# Egyszempontos ANOVA
i = data.frame(chickwts)
boxplot(i$weight ~ i$feed)
leveneTest(i$weight ~ i$feed, center = mean)
oneway.test(i$weight ~ i$feed, var.equal = TRUE)

# 6. feladat
# Regresszi
i = data.frame(airquality)
plot(i$Ozone ~ i$Temp)
m1 = lm(i$Ozone ~ i$Temp)
summary(m1)
a = m1$coefficient[1]
b = m1$coefficient[2]
f = function(x) a + b*x
curve(f, add = TRUE)
plot(i$Ozone ~ i$Temp)
m2 = lm(log(i$Ozone) ~ i$Temp)
summary(m2)
a = m2$coefficients[1]
b = m2$coefficients[2]
f = function(x) exp(a+b*x)
curve(f, add = TRUE)
f(80)
